# How to contribute

Everyone is welcome to contribute with patches, bug fixes, translations and new features.

## Getting Started

* Make sure you have a [GitHub](https://github.com/join) account.
* Submit an issue, assuming one does not already exist.
  * Clearly describe the issue including steps to reproduce when it is a bug.
  * Make sure you fill in the earliest version that you know has the issue.

## Making Changes

* Fork the repository on GitHub.
* Make the changes to your forked repository.
  * **Ensure you stick to the [WordPress Coding Standards](https://make.wordpress.org/core/handbook/best-practices/coding-standards/).**
  * Ensure you use LF line endings - no crazy windows line endings.
* When committing, reference your issue and include a note about the fix.
* Push the changes to your fork and submit a pull request on the master branch of the repository.
* Please don't modify the changelog section.

At this point you're waiting on the project maintainers to merge your pull request.

They'll review all pull requests, make suggestions and changes if necessary.

## Resources

* [Forks](https://help.github.com/articles/fork-a-repo/)
* [Pull Requests](https://help.github.com/articles/about-pull-requests/)

## License

By contributing with your code, you agree to license your contribution under the same project license.
